Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IParameterDescription

All Superinterfaces
  Serializable

    public interface IParameterDescription

extends Serializable

A producer offered portlet description.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`ILocalizedString` | `getDescription()` Returns the description (if any) of the parameter.
`ILocalizedString` | `getHint()` Returns the hint (if any) of the parameter.
`String` | `getIdentifier()` Returns the identifier of the parameter.
`ILocalizedString` | `getLabel()` Returns the label (if any) of the parameter.
`List<QName>` | `getNames()` Returns the QNames of the parameter

Method Detail

### getIdentifier

    String getIdentifier()

  Returns the identifier of the parameter.

  Returns
    the identifier

### getNames

    List<QName> getNames()

  Returns the QNames of the parameter

  Returns
    the QNames for the parameter

### getDescription

    ILocalizedString getDescription()

  Returns the description (if any) of the parameter.

  Returns
    description

### getLabel

    ILocalizedString getLabel()

  Returns the label (if any) of the parameter.

  Returns
    the label

### getHint

    ILocalizedString getHint()

  Returns the hint (if any) of the parameter.

  Returns
    the hint

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.